Bug 478457 - pidgin crashes when login fails
pidgin crashes when login fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: purple-facebookchat (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ismael Olea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 08:37 EST by Benjamin Lewis
Modified: 2009-01-23 21:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-31 08:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (1.41 KB, text/plain)
2008-12-30 08:37 EST, Benjamin Lewis
no flags Details

  None (edit)
Description Benjamin Lewis 2008-12-30 08:37:15 EST
Created attachment 327963 [details]
Backtrace

Description of problem:
If, for some reason, the login to facebookchat fails pidgin segfaults.

Version-Release number of selected component (if applicable):
pidgin-2.5.2-6.fc10.i386
libpurple-2.5.2-6.fc10.i386
purple-facebookchat-1.37-1.fc10.i386

How reproducible:
Always, provided login fails

Steps to Reproduce:
1. Enable a facebook chat account
2. Cause login to fail somehow
  
Actual results:
Segmentation fault

Expected results:
Nice error message

Additional info:
A backtrace is attached
Comment 1 Ismael Olea 2008-12-31 08:06:17 EST
Seems this is fixed in 1.47. Please test it when the rpm is released.
Comment 3 Fedora Update System 2008-12-31 08:25:37 EST
purple-facebookchat-1.47-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/purple-facebookchat-1.47-1.fc10
Comment 4 Fedora Update System 2008-12-31 08:25:44 EST
purple-facebookchat-1.47-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/purple-facebookchat-1.47-1.fc9
Comment 5 Benjamin Lewis 2008-12-31 08:28:22 EST
This issue is fixed (as far as I can tell) in 1.47
Comment 6 Fedora Update System 2009-01-07 04:22:00 EST
purple-facebookchat-1.47-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-23 21:35:02 EST
purple-facebookchat-1.47-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.